textures/hangar28_custom/fog_black
{
        qer_editorimage textures/hangar28_custom_src/black
        qer_trans 0.5
        qer_nocarve
    
	surfaceparm	nonsolid
	surfaceparm	trans
	surfaceparm	nolightmap
	surfaceparm	fog
	fogparms ( .01 .03 .01 ) 1000
}

textures/hangar28_custom/skip
{
        qer_nocarve
        qer_trans 0.5
        
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm skip
}

textures/hangar28_custom/water
{
        qer_editorimage textures/hangar28_custom_src/water
        qer_trans 0.6
        
    surfaceparm nolightmap
    surfaceparm water
    portal
    {
        map textures/hangar28_custom_src/water
        blendFunc add
        tcMod scroll 0.04 0
        depthWrite
    }
}
textures/hangar28_custom/water2
{
        qer_editorimage textures/hangar28_custom_src/oily_sheen
        qer_trans 0.6
        
    surfaceparm nolightmap //
    surfaceparm water
    portal
    {
        map textures/hangar28_custom_src/oily_sheen
        blendFunc filter
        tcMod scale 1.5 1.5
		tcMod scroll 0.005 0.0075
        depthWrite
    }
}

textures/hangar28_custom/blood1
{
        qer_editorimage textures/hangar28_custom_src/blood1
        
    surfaceparm nonsolid
    surfaceparm trans
    polygonoffset
    {
        map textures/hangar28_custom_src/blood1
        blendfunc filter
    }
}

textures/hangar28_custom/blood2
{
        qer_editorimage textures/hangar28_custom_src/blood2
        
    surfaceparm nonsolid
    surfaceparm trans
    polygonoffset
    {
        map textures/hangar28_custom_src/blood2
        blendfunc filter
    }
}

textures/hangar28_custom/blood3
{
        qer_editorimage textures/hangar28_custom_src/blood3
        
    surfaceparm nonsolid
    surfaceparm trans
    polygonoffset
    {
        map textures/hangar28_custom_src/blood3
        blendfunc filter
    }
}

textures/hangar28_custom/blood4
{
        qer_editorimage textures/hangar28_custom_src/blood4
        
    surfaceparm nonsolid
    surfaceparm trans
    polygonoffset
    {
        map textures/hangar28_custom_src/blood4
        blendfunc filter
    }
}

textures/hangar28_custom/ablood1
{
        qer_editorimage textures/hangar28_custom_src/ablood1
        
    surfaceparm nonsolid
    surfaceparm trans
    polygonoffset
    {
        map textures/hangar28_custom_src/ablood1
        blendfunc filter
    }
}

textures/hangar28_custom/darkness
{    
        qer_editorimage textures/hangar28_custom_src/black
        
    surfaceparm noimpact
    surfaceparm nolightmap
    surfaceparm nomarks
    {
        map textures/hangar28_custom_src/black
    }
}

textures/hangar28_custom/flashlight_beam
{
        qer_editorimage textures/hangar28_custom_src/flashlight_beam
        qer_trans 0.6
    
    surfaceparm nonsolid
    surfaceparm trans
    {
        map textures/hangar28_custom_src/flashlight_beam
        blendfunc GL_ONE GL_ONE
        tcMod scroll 0.1 0    
    }
}


textures/hangar28_custom/spark1
{
        qer_editorimage textures/hangar28_custom_src/spark1
        
    surfaceparm nonsolid
    surfaceparm trans
    {
        map textures/hangar28_custom_src/spark1
        blendfunc gl_src_alpha gl_one_minus_src_alpha
        depthWrite
    }
}

textures/hangar28_custom/blend_alpha_0
{
        qer_editorimage textures/hangar28_custom_src/blend_alpha_0
        qer_trans 0.5

    surfaceparm nodraw
    surfaceparm nonsolid
    surfaceparm trans

q3map_alphaMod volume
q3map_alphaMod set 0
}

textures/hangar28_custom/blend_alpha_50
{
        qer_editorimage textures/hangar28_custom_src/blend_alpha_50
        qer_trans 0.5

    surfaceparm nodraw
    surfaceparm nonsolid
    surfaceparm trans

q3map_alphaMod volume
q3map_alphaMod set 50
}

textures/hangar28_custom/blend_alpha_100
{
        qer_editorimage textures/hangar28_custom_src/blend_alpha_100
        qer_trans 0.5

    surfaceparm nodraw
    surfaceparm nonsolid
    surfaceparm trans

q3map_alphaMod volume
q3map_alphaMod set 100
}

textures/hangar28_custom/shield
{
        	qer_editorimage textures/hangar28_custom_src/shield_net
    	        qer_trans 0.6

	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slick
	cull disable

	q3map_surfacelight 90
	q3map_lightimage textures/hangar28_custom_src/shield_energy
	
	{
		map textures/hangar28_custom_src/shield_energy
		blendFunc blend
		AlphaGen wave sin 0.5 0.05 0 0.01
		tcMod Scroll 0.025 0.025
		
	}
	{
		map textures/hangar28_custom_src/shield_plasma
		blendFunc blend
		AlphaGen wave sin 0.5 0.05 0 0.01
		tcMod Rotate 2.5
		tcMod Scroll -0.025 0.025
	}
	{
		map textures/hangar28_custom_src/shield_net
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
//		AlphaGen wave sin 0 1 0 .4
	}
}
